Bug 101513 - Browse function hangs when changing toolbar icon
Browse function hangs when changing toolbar icon
Product: Red Hat Linux Beta
Classification: Retired
Component: gnome-panel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Ben Levenson
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-08-02 01:01 EDT by Robert G. 'Doc' Savage
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-27 12:30:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert G. 'Doc' Savage 2003-08-02 01:01:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When trying to change the Bluecurve icon on the toolbar back to the original
Mozilla icon via the Properties window, the Launcher Properties window process
hangs if the Browse... button is used. The application must be killed to restore
normal operation.

Version-Release number of selected component (if applicable):
mozilla-2.4-12 (may not be source of problem)

How reproducible:

Steps to Reproduce:
1. R.click on tool bar launcher icon (in this case, Mozilla's)
2. Select Properties
3. Click on Icon: to change
4. Click on Browse... button

Actual Results:  System appears to stop responding (race condition?) until the
Browse Icons window is closed. The following window appears:
  The window "Browse icons" is not responding.
  Force this application to exit?
  (Any open documents will be lost.)

Selecting "Kill application" causes Browse icons window and toolbar to
disappear. After a few seconds the toolbar rebuilds.

Expected Results:  Clicking the Browse... button should have raised a directory
browsing window.

Additional info:

Rather than clicking on the Browse... button, I can avoid lockup by editing the
path window directly.

The fact that this occurs when trying to alter the Mozilla icon may not be
significant. The problem may lie with some other application and the Mozilla
behavior might be secondary and coincidental.
Comment 1 Christopher Blizzard 2003-09-03 11:30:39 EDT
-> over to gnome-panel
Comment 2 Robert G. 'Doc' Savage 2003-09-03 18:45:28 EDT
Christopher: Thanks for recommending a better home for this bug. I wasn't really
sure when I checked "Mozilla" as the affected component. gnome-panel definitely
makes more sense. --Doc
Comment 3 Alexander Larsson 2003-10-06 10:47:17 EDT
I can't get this to happen in test2. Does it still happen for you?
Comment 4 Robert G. 'Doc' Savage 2003-10-06 17:18:34 EDT
Just finished downloading test2 CD#3 from a mirror about an hour ago and plan to
install tonight. Will let you know. Probably late... :-)
Comment 5 Leonard den Ottolander 2004-02-23 09:11:21 EST
I can't reprocude this on FC 1.

Robert, is this still an issue? If not, please close as CURRENTRELEASE.
Comment 6 Mark McLoughlin 2004-02-27 12:30:35 EST
Looks like this was fixed

Note You need to log in before you can comment on or make changes to this bug.